Subject: Re: bug#5062: 23.1.50; image-toggle-display overwrites nxml-mode local key map

From: Jason Rumney <[email-masked]>
Date: Thu, 03 Dec 2009 13:00:30 +0800

Juri Linkov wrote:
> image-mode-maybe - finds a non-image mode in `auto-mode-alist' and
>   activates it, also activates `image-minor-mode'.  (`image-mode-maybe'
>   is not a good name, but it's kept for backward compatibility).
>   

It seems like you are changing the behavior incompatibly, so why keep 
the name?  IIRC the original intention for image-mode-maybe was to use a 
non-image mode from auto-mode-alist if it existed, otherwise use 
image-mode. It originated when we were detecting images with 
magic-mode-alist, which was higher priority than auto-mode-alist.